﻿.dx-datagrid-rowsview .dx-master-detail-row:not(.dx-datagrid-edit-form) > .dx-datagrid-group-space,
.dx-datagrid-rowsview .dx-master-detail-row:not(.dx-datagrid-edit-form) .dx-master-detail-cell {
    background-color: transparent;
}

.dx-widget {
    font-family: "Roboto", -apple-system, BlinkMacSystemFont, "Segoe UI", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
    /*font-size: 0.8125rem;*/
}

.dx-datagrid-headers {
    border-left: 0px !important;
    border-right: 0px !important;
    border-bottom: 1px solid #eeeeee !important;
}
.dx-datagrid-header-panel {
    border-bottom: 1px solid #eeeeee !important;
}

.dx-datagrid-headers::before {  
    border-bottom: 1px solid #eeeeee!important;
}

/* ===============================
   Hide fixed column separator line
   =============================== */

.dx-hide-fixed-separator
.dx-datagrid-table-fixed td,
.dx-hide-fixed-separator
.dx-datagrid-table-fixed th {
    border-right: none !important;
}

.dx-hide-fixed-separator
.dx-datagrid-sticky-column-border-left {
    border-left: none !important;
}

.dx-pager, .dx-pagination {    
    border-top: 1px solid #eee;
}
.dx-datagrid .dx-row > td {
    padding: 0.635rem !important;
}

.dx-datagrid-rowsview {
    border-left: 0px !important;
    border-right: 0px !important;
}

.dx-datagrid .dx-row-lines > td {
    border-bottom: 1px solid #eeeeee !important;
}

.dx-datagrid {
    font-size: 0.8125rem !important;
    overflow: overlay;
}
    .dx-datagrid .dx-row-alt > td, .dx-datagrid .dx-row-alt > tr > td {
        border-top: 1px solid #e8e8e9 !important;
        border-bottom: 1px solid #eeeeee !important;
        font-size: 0.8125rem;
    }

    .dx-datagrid .dx-row-alt > td, .dx-datagrid .dx-row-alt > tr > td {
        background-color: #fafafa;
    }

.dx-datagrid-headers .dx-datagrid-table .dx-row > td {
    border-bottom: 1px solid #eeeeee !important;
}

.dx-datagrid-borders > .dx-datagrid-filter-panel, .dx-datagrid-borders > .dx-datagrid-headers, .dx-datagrid-borders > .dx-datagrid-pager {
    border-top: 1px solid #eeeeee !important;
}

.dx-datagrid-borders .dx-datagrid-rowsview, .dx-datagrid-headers + .dx-datagrid-rowsview {
    border-top: 1px solid #eeeeee !important;
}

.dx-datagrid-headers {
    color: #4E5155 !important;
    font-weight: 500;
    font-size: 0.8125rem;
}

.dx-command-select {
    width: 30px !important;
    min-width: 30px !important;
}

/*-------TreeList Items---------*/

.dx-treelist-headers {
    border-bottom: 1px solid #eeeeee !important;
}

.dx-toolbar-after {
    padding-right: 15px !important;
}

.dx-header-row {
    color: #4E5155 !important;
    font-weight: 500;
    font-size: 0.8125rem;
}


[dir=rtl] .dx-toolbar-after {
    padding-left: 15px !important;
}

.dx-treelist .dx-column-lines > td {
    border-left: 1px solid #eeeeee !important;
    border-right: 1px solid #eeeeee !important;
    padding: 0.635rem;
}

.dx-treelist-header-panel {
    border-bottom: 1px solid #eeeeee;
}

.dx-treelist .dx-row-lines > td {
    border-bottom: 1px solid #eeeeee !important;
}

.dx-treelist .dx-row-alt > td, .dx-treelist .dx-row-alt > tr > td {
    background-color: rgba(24, 28, 33, 0.025) !important;
}

.dx-treelist-headers .dx-treelist-table .dx-row > td {
    border-bottom: 1px solid #eeeeee !important;
    padding: 0.625rem;
}

.dx-treelist-borders .dx-treelist-rowsview, .dx-treelist-headers + .dx-treelist-rowsview {
    border-top: 1px solid #eeeeee !important;
}

.dx-treelist-headers .dx-header-row > .dx-treelist-select-all {
    padding-left: 46px !important;
}

.dx-treelist-select-all .dx-checkbox {
    left: 24px !important;
}

/*-------Treee List Items */
.dx-checkbox-icon {
    border-width: 2px !important;
}

.dx-texteditor.dx-editor-outlined {
    border: 1px solid rgba(24, 28, 33, 0.1) !important;
    border-radius: 0px !important;
}

/* DevExpress Calendar Styling */
.dx-popup-normal .dx-popup-content {
    width: auto !important;
    min-width: unset !important;
}

.dx-popup-normal .dx-calendar {
    width: auto !important;
    min-width: unset !important;
    box-sizing: border-box;
}

.dx-calendar-body {
    font-size: 12px !important;
    text-align: center !important;
}
